org.springframework.batch.sample.domain.order.internal

## Class OrderItemReader

- java.lang.Object
- - org.springframework.batch.sample.domain.order.internal.OrderItemReader

- All Implemented Interfaces:
    ItemReader<Order>

      public class OrderItemReader
      extends java.lang.Object
      implements ItemReader<Order>

  Author:
    peter.zozom

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `OrderItemReader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Order` | `read()` Reads a piece of input data and advance to the next one.
    `void` | `setAddressMapper(FieldSetMapper<Address> addressMapper)`
    `void` | `setBillingMapper(FieldSetMapper<BillingInfo> billingMapper)`
    `void` | `setCustomerMapper(FieldSetMapper<Customer> customerMapper)`
    `void` | `setFieldSetReader(ItemReader<FieldSet> fieldSetReader)`
    `void` | `setHeaderMapper(FieldSetMapper<Order> headerMapper)`
    `void` | `setItemMapper(FieldSetMapper<LineItem> itemMapper)`
    `void` | `setShippingMapper(FieldSetMapper<ShippingInfo> shippingMapper)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OrderItemReader

          public OrderItemReader()

  - ### Method Detail

    - #### read

          public Order read()
                     throws java.lang.Exception

      Description copied from interface: `ItemReader`
      Reads a piece of input data and advance to the next one. Implementations must return `null` at the end of the input data set. In a transactional setting, caller might get the same item twice from successive calls (or otherwise), if the first call was in a transaction that rolled back.
      Specified by:
        `read` in interface `ItemReader<Order>`
      Returns:
        T the item to be processed
      Throws:
        `java.lang.Exception`
        `ParseException` - if there is a problem parsing the current record (but the next one may still be valid)
        `NonTransientResourceException` - if there is a fatal exception in the underlying resource. After throwing this exception implementations should endeavour to return null from subsequent calls to read.
        `UnexpectedInputException` - if there is an uncategorised problem with the input data. Assume potentially transient, so subsequent calls to read might succeed.
      See Also:
        `ItemReader.read()`

    - #### setFieldSetReader

          public void setFieldSetReader(ItemReader<FieldSet> fieldSetReader)

      Parameters:
        `fieldSetReader` - reads lines from the file converting them to `FieldSet`.

    - #### setAddressMapper

          public void setAddressMapper(FieldSetMapper<Address> addressMapper)

    - #### setBillingMapper

          public void setBillingMapper(FieldSetMapper<BillingInfo> billingMapper)

    - #### setCustomerMapper

          public void setCustomerMapper(FieldSetMapper<Customer> customerMapper)

    - #### setHeaderMapper

          public void setHeaderMapper(FieldSetMapper<Order> headerMapper)

    - #### setItemMapper

          public void setItemMapper(FieldSetMapper<LineItem> itemMapper)

    - #### setShippingMapper

          public void setShippingMapper(FieldSetMapper<ShippingInfo> shippingMapper)